BuildRequires: jpackage-1.4-compat
Name: jakarta-commons-cli-1
Version: 1.0
Release: alt2
Provides: jakarta-commons-cli = %version-%release

Summary: Jakarta Commons CLI v. 1.x, a Command Line Interface for Java
License: Apache Software License
Group: Development/Java

Url: http://jakarta.apache.org/commons/cli/
Source: cli-%version-src.tar.bz2

BuildPreReq: /proc rpm-build-java
BuildRequires: ant ant-junit junit jakarta-commons-logging jakarta-commons-lang
Requires: jakarta-commons-lang
BuildArch: noarch

%description
The CLI library provides a simple and easy to use API for working with
the command line arguments and options.
This package provides commons CLI v. 1.x. If you need latest version of
CLI install jakarta-commons-cli package insteed.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
Javadoc for %name.

%prep
%setup -q -n commons-cli-%version
mkdir lib

%build
ln -s %_javadir/jakarta-commons-lang.jar lib/jakarta-commons-lang.jar
ln -s %_javadir/jakarta-commons-logging.jar lib/jakarta-commons-logging.jar
ln -s %_javadir/junit.jar lib/junit.jar

%ant_build -Dnoget=only jar test javadoc

%install
mkdir -p %buildroot{%_javadir,%_javadocdir/%name}
cp -p target/*.jar %buildroot%_javadir/%name.jar
cp -pr target/docs/apidocs/* %buildroot%_javadocdir/%name
ln -s %name.jar %buildroot%_javadir/commons-cli.jar

%files
%doc *.txt
%_javadir/*

%files javadoc
%_javadocdir/%name

%changelog
* Wed May 09 2007 Igor Vlasenko <viy@altlinux.ru> 1.0-alt2
- added jpackage compatible stuff

* Tue Dec 20 2005 Vladimir Lettiev <crux@altlinux.ru> 1.0-alt1
- Build 1.0 version for compatibility purposes.


